Package Base Details: mesa-git

Git Clone URL: https://aur-dev.archlinux.org/mesa-git.git (read-only)
Keywords: mesa X11
Submitter: Krejzi
Maintainer: Lone_Wolf
Last Packager: Lone_Wolf
Votes: 144
Popularity: 0.475933
First Submitted: 2014-06-19 21:33
Last Updated: 2016-12-11 23:17

Pinned Comments

Lone_Wolf commented on 2016-10-11 20:52

Updated Pinned Comment

Recommended way to update :

run pacman -Syu
build & update llvm-svn & lib32-llvm-svn
build & update mesa-git
build & update lib32-mesa-git

If you feel llvm-svn takes to long to build (50 minutes on my system) Kerberizer (aur llvm-svn & lib32-llvm-svn maintainer ) has setup an unofficial repo.
see https://wiki.archlinux.org/index.php/Unofficial_user_repositories#llvm-svn

That repo is updated to latest llvm-svn several times per day.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 ... Next › Last »

Lone_Wolf commented on 2016-08-14 23:01

Patch found by DiFuzZzoR added

DiFuzZzoR commented on 2016-08-13 17:58

Latest git contains bug with black/dark textures (see bug: https://bugs.freedesktop.org/show_bug.cgi?id=97285) probably on all amd/ati gpu.

1. yaourt mesa-git
2. Change PKGBUILD (add custom patch, download from: https://bugs.freedesktop.org/attachment.cgi?id=125699)
3. Build it. PROFIT!

@Lone_Wolf Probably, you may need to add a patch. Think about it.

Lone_Wolf commented on 2016-07-21 00:53

Patch updated and renamed

talonz commented on 2016-07-20 20:27

==> Starting prepare()...
patching file configure.ac
Reversed (or previously applied) patch detected! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file configure.ac.rej
==> ERROR: A failure occurred in prepare().

NogradThGin commented on 2016-07-19 13:08

The patch file is outdated (due to modifications) new is pasted here

http://pastebin.com/JGbRAkw0

kerberizer commented on 2016-06-07 22:39

@electricprism, this is a -git package. When you run makepkg, the version will automagically be updated to match the one in Git master--which, right now, would be "12.1.0_devel.82376.f39439d-1".

electricprism commented on 2016-06-07 22:34

So with Mesa 12 getting into RC will we be getting that? Or are we already getting Mesa 12 and the version number just needs to be bumped from 11.3 up? Curious.

Lone_Wolf commented on 2016-05-24 14:09

I've added libpthread-stubs as make dependency for now, but there are other solutions.

Will post in the forum mesa-git thread about this.
https://bbs.archlinux.org/viewtopic.php?id=212819

kerberizer commented on 2016-05-23 22:42

Hm, it seems that after this commit we need to pull in libpthread-stubs...

https://cgit.freedesktop.org/mesa/mesa/commit/?id=1f4869a2089c6172feff382e177d74ac68c241a7

Otherwise, configure complains that "Package requirements (pthread-stubs) were not met: No package 'pthread-stubs' found". Not sure if there isn't another solution.

kerberizer commented on 2016-04-30 13:39

Mesa master is supposed to be built against LLVM trunk, so I'm not sure if that wouldn't be an overkill and too much burden on Lone_Wolf. These compat changes happen fairly often, mainly because of Clover. Perhaps a sticky comment with a reminder to always build against latest LLVM trunk might be enough?